%input: y - the face to classify
%       V - matrix of eigenvectors to use for the classification
%       W - matrix of mean input images
%       m - mean vector
%output:  b - index of image in W
function b = detectface(y, V, W, m)

%compute the weights for the face to classify
nw = V'*(y - m);
[m,n] = size(W);
best = inf;
b = 1;

for i=1:4:n
    %each student submitted 4 samples, use the average face to check
    %distances
    avg = sum(W(:,i:i+3)')'/4;
    aw = V'*avg;
    res = norm(aw - nw);   
    if res < best
        best = res;
        b = i;
    end
end


    

